std::tuple_element< 0, pair< _Tp1, _Tp2 > > Struct Template Reference

`#include <stl_pair.h>`

## Public Types

typedef _Tp1 | type

## Detailed Description

template<class _Tp1, class _Tp2>
struct std::tuple_element< 0, pair< _Tp1, _Tp2 > >

Partial specialization for std::pair.

Definition at line 1164 of file stl_pair.h.

## Member Typedef Documentation

## type

template<class _Tp1, class _Tp2>

typedef _Tp1 std::tuple_element< 0, pair< _Tp1, _Tp2 > >::type

Definition at line 1165 of file stl_pair.h.

The documentation for this struct was generated from the following file:

- stl_pair.h